r2654 - people/bmsleight/autotesting

bmsleight-guest at alioth.debian.org bmsleight-guest at alioth.debian.org
Mon Jul 30 21:43:12 UTC 2007


Author: bmsleight-guest
Date: 2007-07-30 21:43:11 +0000 (Mon, 30 Jul 2007)
New Revision: 2654

Added:
   people/bmsleight/autotesting/autotesting.sh
   people/bmsleight/autotesting/openlogo-live-nd.png
Modified:
   people/bmsleight/autotesting/video-qemu-booting-iso.sh
Log:
Adding a script that runs the video-qemu-booting-iso.sh for each iso in a directory

Added: people/bmsleight/autotesting/autotesting.sh
===================================================================
--- people/bmsleight/autotesting/autotesting.sh	                        (rev 0)
+++ people/bmsleight/autotesting/autotesting.sh	2007-07-30 21:43:11 UTC (rev 2654)
@@ -0,0 +1,55 @@
+#!/bin/bash
+#
+# Script to be run video-qemu-boot-iso.sh via cron job 
+#
+
+while getopts v:q:t: opt
+do
+    case "$opt" in
+      v)  VQBI="$OPTARG";;
+      q)  QEMU_BIN="$OPTARG";;
+      t)  TIME_Q="$OPTARG";;
+
+      \?)		# unknown flag
+      	  echo >&2 \
+		"usage: $0 [-v path to video-qemu-booting-iso.sh ] [-q alternative qemu binary name] [-t time to run qemu] logo.png /foo/bar/iso.directory/ /foo/bar/video.directory/ " 
+	  exit 1;;
+    esac
+done
+shift `expr $OPTIND - 1`
+
+if [ -z "$1" -a -z "$2" -a -z "$3" ]; then
+    echo "usage: $0 [-v path to video-qemu-booting-iso.sh ] [-q alternative qemu binary name] [-t time to run qemu]  logo.png /foo/bar/iso.directory/ /foo/bar/video.directory/ " 
+    echo
+    echo " This script runs the video-qemu-booting-iso.sh for each iso in a directory. "
+    echo 
+    echo " This script will take _along_ time to run. Approx 2-3 hours per iso."
+    echo " For testing the set-up use -t with a small value e.g. -t 10"
+    echo
+    echo " The use of -q could allow qemu-ppc be used (Not _tested_)."
+    exit
+fi
+
+LOGO=$1
+ISODIR=$2
+VIDEODIR=$3
+
+if [ "$VQBI" = "" ]; then
+ VQBI="video-qemu-booting-iso.sh"
+fi
+if [ "$QEMU_BIN" = "" ]; then
+ QEMU_BIN="qemu"
+ #qemu_0.8.4-etch1
+fi
+if [ "$TIME_Q" = "" ]; then
+ TIME_Q="1200"
+fi
+
+for ISO in $ISODIR/*.iso
+do
+ ISOBN=$(basename $ISO)
+ VIDEO=$VIDEODIR$ISOBN.ogg
+ echo "Running $VQBI -t $TIME_Q -l $LOGO -q $QEMU_BIN $ISO $VIDEO"
+ $VQBI -t $TIME_Q -l $LOGO -q $QEMU_BIN $ISO $VIDEO
+done
+echo "Finished Autotesting"


Property changes on: people/bmsleight/autotesting/autotesting.sh
___________________________________________________________________
Name: svn:executable
   + *

Added: people/bmsleight/autotesting/openlogo-live-nd.png
===================================================================
(Binary files differ)


Property changes on: people/bmsleight/autotesting/openlogo-live-nd.png
___________________________________________________________________
Name: svn:mime-type
   + application/octet-stream

Modified: people/bmsleight/autotesting/video-qemu-booting-iso.sh
===================================================================
--- people/bmsleight/autotesting/video-qemu-booting-iso.sh	2007-07-30 19:45:48 UTC (rev 2653)
+++ people/bmsleight/autotesting/video-qemu-booting-iso.sh	2007-07-30 21:43:11 UTC (rev 2654)
@@ -44,7 +44,7 @@
 OLD_DISPLAY="$DISPLAY"
 TODAY=$(date +"%F")  
 TMP_DIR=/tmp/vqbi.$$.tmp
-IPADDRESS=$(sudo ifconfig  | grep 'inet addr:'| grep -v '127.0.0.1' | cut -d: -f2 | awk '{ print $1}')
+IPADDRESS="127.0.0.1"
 VNCREC_MOVIE_FRAMERATE=1
 }
 
@@ -104,11 +104,11 @@
 
 start_vnc_sessions ()
 {
-vncserver  -depth 24 -pixelformat rgb888 -cc 4 -nocursor -geometry $GEOMETRY  >$TMP_DIR/vncserver.txt 2>&1
+vncserver -depth 24 -pixelformat rgb888 -cc 4 -nocursor -geometry $GEOMETRY  >$TMP_DIR/vncserver.txt 2>&1
 VNSERVER_QEMU=$(cat $TMP_DIR/vncserver.txt | grep 'New' | awk '{ print $5}' )
 VNCSERVER_QMEU_NUMBER=$(cat $TMP_DIR/vncserver.txt | grep 'New' | cut -d: -f2)
 echo "Launched vncserver $VNSERVER_QEMU"
-vncserver  -depth 24 -pixelformat rgb888 -cc 4 -nocursor -geometry 1600x1200  >$TMP_DIR/vncserver.txt 2>&1
+vncserver -depth 24 -pixelformat rgb888 -cc 4 -nocursor -geometry 1600x1200  >$TMP_DIR/vncserver.txt 2>&1
 VNSERVER_VNCREC=$(cat $TMP_DIR/vncserver.txt | grep 'New' | awk '{ print $5}' )
 VNCSERVER_VNCREC_NUMBER=$(cat $TMP_DIR/vncserver.txt | grep 'New' | cut -d: -f2)
 echo "Launched vncserver $VNSERVER_VNCREC"
@@ -169,7 +169,7 @@
 {
 convert $LOGO -resize 200x200 -negate  -gravity South -background Black -font Helvetica-Bold -fill white -splice 0x36 -pointsize 25 -draw "text 0,0 'AutoTesting'" -transparent black $TMP_DIR/minilogo.png
 convert $TMP_DIR/minilogo.png  -fill grey50 -colorize 40 $TMP_DIR/minilogo.png
-VNCREC_MOVIE_CMD='convert xpm:-  '$TMP_DIR'/image-%05d.jpg'
+VNCREC_MOVIE_CMD="convert xpm:-  $TMP_DIR/image-%05d.jpg"
 export VNCREC_MOVIE_CMD
 vncrec  -movie $TMP_DIR/qemu.1.vnc
 for i in $TMP_DIR/image-*.jpg
@@ -184,7 +184,7 @@
 }
 
 
-make_video ()
+gen_video ()
 {
 ##Following is ideal - does not work
 #mkfifo -m 660 $TMP_DIR/stream.yuv
@@ -238,7 +238,6 @@
     echo " Minimum geometry for qemu -g 1024x768"
     echo 
     echo " Launches a couple of vncserver session, kills other vncrec and qemu sessions running."
-    echo " Requires sudo ifconfig"
     exit
 fi
 
@@ -255,6 +254,6 @@
 let_qemu_run
 stop_qemu
 export_frames
-make_video
+gen_video
 stop_vncservers
 clean_up




More information about the debian-live-changes mailing list